# Interface RelationshipProperties

Properties that can be used to initialize a data/_Relationship!Relationship.

interface RelationshipProperties {
$relationshipType?: string;
failureMode?: FailureMode;
id?: string;
title?: string;
}

#### Hierarchy (view full)

- EntityBaseProperties
  - RelationshipProperties
    - ArcGISRelationshipProperties
    - QueryBasedRelationshipProperties

#####
Index

### Properties

$relationshipType?
failureMode?
id?
title?

##
Properties

### `Optional`$relationshipType

$relationshipType?: string

The Relationship's type.

### `Optional` failureMode

failureMode?: FailureMode

See support/InitializableBase!InitializableBase.failureMode.

Inherited from EntityBaseProperties.failureMode

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityBaseProperties.id

### `Optional` title

title?: string

See data/_Relationship!Relationship.title.